/*
 * Class EV_SCROLLABLE_ACTION_SEQUENCE_I
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_257 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_257 [] = {0xFF01,1551,256,0xFFFF};
static const EIF_TYPE_INDEX egt_2_257 [] = {0xFF01,256,0xFFFF};
static const EIF_TYPE_INDEX egt_3_257 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_257 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_257 [] = {0xFF01,256,0xFFFF};
static const EIF_TYPE_INDEX egt_6_257 [] = {0xFF01,256,0xFFFF};
static const EIF_TYPE_INDEX egt_7_257 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_257 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_257 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_257 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_257 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_257 [] = {0xFF01,256,0xFFFF};
static const EIF_TYPE_INDEX egt_13_257 [] = {0xFF01,653,0xFFFF};
static const EIF_TYPE_INDEX egt_14_257 [] = {0xFF01,653,0xFFFF};
static const EIF_TYPE_INDEX egt_15_257 [] = {0xFF01,653,0xFFFF};
static const EIF_TYPE_INDEX egt_16_257 [] = {0xFF01,653,0xFFFF};


static const struct desc_info desc_257[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_257), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_257), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_257), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_257), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_257), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_257), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_257), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_257), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_257), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_257), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_257), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_257), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0201 /*256*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_257), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_257), 5189, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_257), 5186, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_257), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_257), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051B /*653*/), 5187, 0},
	{EIF_NON_GENERIC(0x051B /*653*/), 5188, 4},
};
void Init257(void)
{
	IDSC(desc_257, 0, 256);
	IDSC(desc_257 + 1, 1, 256);
	IDSC(desc_257 + 32, 637, 256);
}


#ifdef __cplusplus
}
#endif
